<<< Previous |  | Next >>>

# FcCharSetNextPage

## Name

FcCharSetNextPage -- Continue enumerating charset contents

## Synopsis

    #include <fontconfig/fontconfig.h>

``FcChar32 `FcCharSetNextPage``(const FcCharSet *`a`, FcChar32[FC_CHARSET_MAP_SIZE] `map`, FcChar32 *`next`);`

## Description

Builds an array of bits in `map` marking the Unicode coverage of `a` for page containing `*next` (see the `FcCharSetFirstPage` description for details). `*next` is set to contains the base code point for the next page in `a`. Returns the base of code point for the page, or `FC_CHARSET_DONE` if `a` does not contain `*next`.

<<< Previous | Home | Next >>>
FcCharSetFirstPage | Up | FcCharSetCoverage